Bug 1469868 - [Docs][RFE][Director][UI] Auto discovery of h/w, networks and storage for Director UI driven deployment [NEEDINFO]
Summary: [Docs][RFE][Director][UI] Auto discovery of h/w, networks and storage for Dir...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On: 1420921
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-12 03:18 UTC by Dan Macpherson
Modified: 2019-10-28 18:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:35:42 UTC
Target Upstream Version:
dcadzow: needinfo? (mbarnett)


Attachments (Terms of Use)

Description Dan Macpherson 2017-07-12 03:18:40 UTC
== DECRIPTION ==
(1) As a Basic Deployer, I want the application to auto-discover nodes to make node registration quicker and less error prone.
(2) As a deployer, I want the application to auto-discover the network details about my registered nodes.
NICs, VLANs, Bonds, MTU, Speed.
(3)As a deployer, I want the application to auto-discover locally attached storage details.
Disks, Type, Controller, Size, Device Name, Topology, RAID, Vendor, Firmware rev
(4)As a deployer, I want the application to auto-discover switch details.
Switch name, Switch ID, Chassis ID, Switch description, vendor, port description, type (router / bridge)

== DOCS IMPACT ==
This is essentially similar to the Foreman Discovery feature from OSP5/6, but through the director. This new node discovery feature is already available in Ironic since OSP11, so now it's just a matter of registering automatically through the UI.


Note You need to log in before you can comment on or make changes to this bug.